## deepin-calendar-5.8.4-1.src.tar.gz

=== calendar-basicstruct/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(basestruct)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
REQUIRED)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
file(GLOB_RECURSE BASESTRUCT_SRCS ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
link_libraries(${Qt5CORE_LIBRARIES} ${Qt5DBus_LIBRARIES})
add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS})
